Index: trunk/IPs/systemC/processor/Morpheo/Common/include/Debug.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Common/include/Debug.h	(revision 118)
+++ trunk/IPs/systemC/processor/Morpheo/Common/include/Debug.h	(revision 129)
@@ -81,41 +81,28 @@
       debug_init();                                                     \
                                                                         \
-      if (debug_test_simulation_time)                                   \
-        if ((debug == DEBUG_ALL ) or					\
-            (DEBUG_ ## level == DEBUG_NONE) or                          \
-            (( DEBUG_ ## level <= debug) and                            \
-             ( morpheo::behavioural::_model.get_debug(NAME_ ## component))) ) \
-          {								\
-            if (DEBUG_ ## level <= DEBUG_INFO)                          \
-              {                                                         \
-                msg("%s ",MSG_INFORMATION);                             \
-              }                                                         \
-            else                                                        \
-              {                                                         \
-                msg("%s ",MSG_DEBUG);                                   \
-              }                                                         \
+      if (debug_test_simulation_time and                                \
+          ((debug == DEBUG_ALL ) or					\
+           (( DEBUG_ ## level <= debug) and                             \
+            ( morpheo::behavioural::_model.get_debug(NAME_ ## component))))) \
+        {								\
+          if (DEBUG_ ## level <= DEBUG_INFO)                            \
+            {                                                           \
+              msg("%s ",MSG_INFORMATION);                               \
+            }                                                           \
+          else                                                          \
+            {                                                           \
+              msg("%s ",MSG_DEBUG);                                     \
+            }                                                           \
                                                                         \
-            if (debug >= DEBUG_ALL )					\
-              {                                                         \
-                switch (DEBUG_ ## level)                                \
-                  {							\
-                  case DEBUG_NONE  : msg(_("(none       ) ")); break;	\
-                  case DEBUG_INFO  : msg(_("(information) ")); break;	\
-                  case DEBUG_TRACE : msg(_("(trace      ) ")); break;	\
-                  case DEBUG_FUNC  : msg(_("(function   ) ")); break;	\
-                  case DEBUG_ALL   : msg(_("(all        ) ")); break;	\
-                  default          : msg(_("(undefine   ) ")); break;	\
-                  }							\
-              }                                                         \
-            if (debug >= DEBUG_FUNC)					\
-              {                                                         \
-                msg(  "<%s> " ,func);			        	\
-                msg(_("In file %s, "),__FILE__);                        \
-                msg(_("at line %d " ),__LINE__);                        \
-                msg(  ": " );				        	\
-              }                                                         \
-            msg(str);					        	\
-            msg("\n");                                                  \
-          }								\
+          if (debug >= DEBUG_FUNC)					\
+            {                                                           \
+              msg(  "<%s> " ,func);			        	\
+              msg(_("In file %s, "),__FILE__);                          \
+              msg(_("at line %d " ),__LINE__);                          \
+              msg(  ": " );				        	\
+            }                                                           \
+          msg(str);					        	\
+          msg("\n");                                                    \
+        }								\
     } while(0)
 
